/*!\file fac.cpp
 * \brief: implementation of the fac class
 */

/*Headers{{{*/
#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

#include "./fac.h"

/*}}}*/
#include "stdio.h"
long fac::factorial(long n) {
	long f = 1;
	long i;
	printf("ok1\n");
	
	for(i = 1; i <= n; i++){
		f *= i;
	}
	printf("ok2\n");
	
	return f;
}

